Update schedule

Update an existing schedule. Recomputes next run time when trigger settings change.

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired
surfaceIdstringRequired
scheduleIdstringRequired

Request

This endpoint expects an object.
cronstring or nullOptional
enabledbooleanOptional
executionOptionsobjectOptional
flowIdstringOptional
recordFilterobject or nullOptional
recordIdslist of stringsOptional
recordTypestring or nullOptional>=1 character
runAtdatetime or nullOptional
timezonestring or nullOptional
triggerTypeenumOptional
Allowed values:

Response

Schedule updated
agentIdstring or null
createdAtstring
cronstring or null
enabledboolean
executionOptionsmap from strings to any
flowIdstring or null
idstring
inputsmap from strings to any or null
lastRunAtstring or null
namestring or null
nextRunAtstring or null
organizationIdstring or null
productSurfaceIdstring or null
recordIdslist of strings or null
recordTypestring or null
runAtstring or null
timezonestring or null
triggerTypestring
updatedAtstring
userIdstring
messagesany
recordFilterany

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error